$(window).load(function() {
    $('#slider').nivoSlider({
        directionNav : false,
        controlNav: false,
        pauseOnHover:false,
        afterLoad: function() {
            $('#loader').fadeOut('slow'); // Hide the loader once the slider is loaded
          }
    });

 
/* 
    var loader = document.getElementById("loader");
	loader.style.display = "none"; */
});
var popoverTriggerList = [].slice.call(document.querySelectorAll('[data-bs-toggle="popover"]'))
var popoverList = popoverTriggerList.map(function (popoverTriggerEl) {
  return new bootstrap.Popover(popoverTriggerEl)
})

document.addEventListener("DOMContentLoaded", function(){
	// Mobile Menu 
	var hamburger_wrapper = document.querySelector('.hamburger_wrapper');
    var mobile_nav = document.querySelector('nav.mobile_nav');
	var body = document.querySelector('body');
	hamburger_wrapper.onclick = function () {
		hamburger_wrapper.classList.toggle('open');
		mobile_nav.classList.toggle('open');
		body.classList.toggle('push');
    
  }


$(".input_file_wrapper input").change(function (e) {
    var $this = $(this);
    $this.next().html($this.val().split('\\').pop());
});

$('.menu_ul .dropdown').hover(function() {
  $(this).find('.dropdown-menu').first().stop(true, true).slideDown(300);
}, function() {
  $(this).find('.dropdown-menu').first().stop(true, true).slideUp(200);
});

$(".testimonial_slider").slick({
    slidesToShow:4,
    slidesToScroll: 1,
    infinite: true,
    autoplay: true,
    arrows: false,
    pauseOnHover: false,
  
  
    
      // the magic
      responsive: [ {
  
        breakpoint: 1024,
        settings: {
          slidesToShow: 4,
  
        }
  
      }, {
  
        breakpoint: 900,
        settings: {
          slidesToShow: 4,
  
        }
  
      }, {
  
        breakpoint: 767,
        settings: {
          slidesToShow: 2,
  
        }
  
      }]
  });

});




(function($, window) {
    var adjustAnchor = function() {
  
        var $anchor = $(':target'),
                fixedElementHeight = 150;
  
        if ($anchor.length > 0) {
  
            $('html, body')
                .stop()
                .animate({
                    scrollTop: $anchor.offset().top - fixedElementHeight
                }, 200);
  
        }
  
    };
  
    $(window).on('hashchange load', function() {
        adjustAnchor();
    });
  
  })(jQuery, window);
wow = new WOW(
    {
    boxClass:     'wow',      // default
    animateClass: 'animated', // default
    offset:       0,          // default
    mobile:       false,       // default
    live:         true        // default
  }
  )
  wow.init();